/* event template css */
.listing-open #login-top, .listing-open .city-select-button, .qsp_search_page_container.qsp_search_page_loading::-webkit-scrollbar {
    display: none
}
.listing-open .top-bar-color, .listing-open .top-bar-color .top-cont {
    background: #2e363f !important;
}
.listing-open .top-bar-transparent{
    background: rgba(225, 225, 255, .07) !important;
    border-color: transparent;
}
.listing-open .top-bar-transparent .top-cont {
    background: transparent !important;
}
.qsp_event_container {
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 10px;
}

.qsp_event_container .event_card {
    display: flex;
    flex: 0 1 calc(50% - 5px);
}

.qsp_event_container .event_card a {
    display: flex;
    color: #111111;
    text-decoration: none;
    width: 100%;
    margin: 5px 15px 5px 0px;
    padding: 5px 5px 5px 0px;
}

.qsp_event_container .event_pic {
    padding-right: 15px;
}

.qsp_event_container .event_thumbnail {
    border: 1px solid rgba(0,0,0,0.1);
    height: 130px;
    width: 260px;
    overflow: hidden;
    background-size: cover;
    border-radius: 8px;
}

.qsp_event_container .event_name {
    font-size: 18px;
    font-weight: 600;
    line-height: 1.35;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    color: #30363E;
}

.qsp_event_container .date_and_city {
    display: flex;
    gap: 5px;
    align-items: center;
    margin: 10px 0;
}

.qsp_event_container .event_date_time {
    font-size: 16px;
    line-height: 1.7;
    font-weight: 600;
    color: #858585;
}

.qsp_event_container .event_location {
    font-size: 16px;
    line-height: 1.7;
    font-weight: 600;
    color: #858585;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 200px;
}

.qsp_event_container .event_ticket_wrapper {
    gap: 8px;display: flex;align-items: center;
}

.qsp_event_container .event_ticket {
    font-size: 14px;
    line-height: 1.7;
    font-weight: 600;
    color: #55a555;
    display: flex;
    flex-flow: wrap;
}

.qsp_event_container .event_recurring {
    font-size: 14px;line-height: 1.7;font-weight: 600;color: #858585;
}

.qsp_event_container .event_ticket .badge {
    height: 14px;
}

.qsp_event_container .event_card a:hover{
    background: #f5f5f5;
}

.qsp_event_container .event_ticket .ticket {
    margin-right: 5px;
    color: #55a555;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 150px;
}

.qsp_event_container .search_featured_event {
    width: 22px;
    height: 28px;
    background: #FB0;
    position: absolute;
    text-align: center;
    line-height: 27px;
    font-size: 11px;
    color: #fff;
    box-shadow: inset 0 3px 10px #ff8500;
    -moz-box-shadow: inset 0 3px 10px #FF8500;
    -webkit-box-shadow: inset 0 3px 10px #ff8500;
    z-index: 10;
    margin-left: 126px;
    margin-top: -1px;
}
/* end of event template css */

/* category template css */

.qsp_category_contaner {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    padding-top: 6px;
    gap: 10px;
}

.qsp_category_contaner .title_long:hover {
    background: #DBEDFF;
}

.qsp_category_contaner .title_long p {
    margin: 0px;
    color: #111;
    text-overflow: ellipsis;
    overflow: hidden;
    max-width: 99%;
}

.qsp_category_contaner .title_long {
    height: 30px;
    font-size: 16px;
    background: #F5FAFF;
    text-decoration: none;
    flex-grow: 1;
    border: 1px solid #DBEDFF;
    border-radius: 2px;
    color: #30363E;
    font-weight: 600;
    align-items: center;
    justify-content: center;
    padding: 8px 12px;
    margin: 3.5px;
    overflow: hidden;
    max-width: 100%;
    white-space: nowrap;
    display: grid;
    grid-template-columns: 8% 87% 5%;
}

.qsp_category_contaner .trending_up_icon {
    width: 20px;
    margin-right: 5px;
    display: flex;
    justify-content: center;
}

.qsp_category_contaner .trending_up_icon i{ 
    color: #2481DE;
}

.qsp_category_contaner .trending_up_icon svg{
    height: 20px;
}

.qsp_category_contaner .trending_chevron {
    padding-left: 5px;
    color: rgba(46, 54, 63, 0.6);
    font-size: 11px;
}

/* category template css */

.qsp_search_container .viewall_btn{
    text-align: center;
}

.qsp_search_container .viewall_btn .btn{
    margin: 1% 0;
}

.vsp_app .search_icon{
    height: 50px;
    align-items: center;
    background: #fff;
    display: flex;
    padding: 0 12px 0 22px;
    border-radius: 4px 0 0;
}

.vsp_app .remove_text_icon{
    font-size: 18px;
    height: 50px;
    align-items: center;
    background: #fff;
    color: #9a9999;
    display: flex;
    padding: 0 12px;
    cursor: pointer;
}

.vsp_app .search_text:focus {
    box-shadow: none;
}

.vsp_app .search_text{
    color: #30363e;
    width: 100%;
    max-width: 700px;
    height: 50px;
    font-size: 16px;    
    text-indent: 2px;
    outline: none;
    padding:0;
    margin: 0;
    border: none;
    box-sizing: border-box;
    -webkit-appearance: none;
}

.vsp_app .search_input_text{
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
    position: relative;
}

.vsp_app .background_overlay {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 10;
    background-color: #000;
    opacity: 0.3;
}

.vsp_app .search_input_text .search_suggestion_popup{
    position: absolute;
    top: 50px;
    left: 0;
    right: 0;
    background: #ffffff;
    z-index: 11;
    /* min-height: 65px; */
    border-radius: 0 0 4px 4px;
    max-height: 360px;
    border-top: 1px solid #ddd;
    padding: 0px 20px;
    overflow-y: auto;
}

.vsp_app .search_input_text .search_suggestion_popup::-webkit-scrollbar, #qsp_change_city_app .results ul::-webkit-scrollbar {
    width: 6px;
}

.vsp_app .search_input_text .search_suggestion_popup::-webkit-scrollbar-track, #qsp_change_city_app .results ul::-webkit-scrollbar-track {
    background: #fff; 
}

.vsp_app .search_input_text .search_suggestion_popup::-webkit-scrollbar-thumb, #qsp_change_city_app .results ul::-webkit-scrollbar-thumb {
    background: #aaa; 
}

.vsp_app .search_close_btn{
    cursor: pointer;
    color: #FFFFFF;
}

.vsp_app .close_cross {
    width: 11px;
}

.vsp_app .close_cross svg{
    position: relative;
    right: 10px;
}

.vsp_app .search_page_top{
    align-items: center;
    position: relative;
    background: #2C363F;
    background-image: url('https://cdn2.allevents.in/transup/32/e91277d8664254b55b112df848ea4e/lol.webp');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center bottom;
    display: flex;
    flex-direction: column;
    gap: 25px;
    padding: 70px 0px;
}

.vsp_app .search_page_top .search_filters_container {
    display: flex;
    align-items: center;
    width: 909px;
    margin: auto;
    gap: 20px;
}

.vsp_app .search_page_top .search_filters_container .filter_label {
    display: inline-block;
    color: #0583a3;
    padding: 0px 6px;
    border-radius: 10px;    
    font-size: 10px;
}

.vsp_app .search_page_top .search_filters_container .search_filter{
    display: flex;
    background: #FFFFFF;
    border-radius: 16.5px;
    padding: 9px 28px;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    gap: 7px;
}

.vsp_app .searchbar_four_item {
    display: flex;
    width: 1170px;
    margin: auto;
    align-items: center;
    z-index: 11;
    justify-content: center;
}

.vsp_app .searchbar_title {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 26px;
    color: #fff;
    margin-bottom: 20px;
    position: relative;
    text-align: center;
    width: 100%;
    max-width: 900px;
}

.vsp_app .searchbar_title .search_close_btn {
    display: flex;
}

.vsp_app .close_btn {
    margin: 0px;
    text-decoration: none;
    color: rgba(46, 54, 63, 0.6);
    position: absolute;
    text-shadow: 1px 1px 2px #ffffff;
    left: 0px;
}

.vsp_app .backgray{
    justify-content: center;
    display: flex;
    align-items: center;
    width: 100%;
    max-width: 909px !important;
}

.vsp_app .search_page_top .icon-chevron-left{
    font-size: 16px;
    text-align: center;
    padding-left:0 20px;
}

.qsp_search_page_container{
    overflow-y: scroll;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: white;  
    z-index: 2147483647;
    overflow-x: hidden;
    padding-bottom: 120px;
}          

.daterangepicker {
    width: 100% !important;
    left: 0 !important;
    top: 53px !important;
    border-radius: 0 0 4px 4px !important;
    box-sizing: border-box;
}

.daterangepicker.openscenter:before {
    display: none;
}

.daterangepicker.openscenter:after {
    display: none;
}

.daterangepicker .drp-calendar {
    max-width: unset !important;
}

.daterangepicker .drp-calendar.left .calendar-table{
    border-right: 1px solid #ddd !important;
}

.daterangepicker th.month {
    font-size: 14px !important;
}

.daterangepicker .calendar-table .next span {
    border: solid #2D9CDB !important;
    border-width: 0 2px 2px 0 !important;
    padding: 4px !important;
}

.daterangepicker .calendar-table .prev span {
    border: solid #2D9CDB !important;
    border-width: 0 2px 2px 0 !important;
}

.daterangepicker td.active, .daterangepicker td.active:hover {
    background-color: #2D9CDB !important;
}

.table-condensed td, .table-condensed th {
    padding: 9px 6px;
}

.daterangepicker .calendar-table .next, .daterangepicker .calendar-table .prev {
    background: #E8F3FE;
}

.daterangepicker .drp-selected {
    display: none !important;
}

.daterangepicker.show-calendar .drp-buttons {
    text-align: center;
    padding: 12px 8px;
}

.drp__cancel_custom_css {
    display: none;
}

.drp__apply_custom_css {
    width: 42%;
    height: 100%;
    background-color: #2D9CDB !important;
    border-radius: 2px;
    color: #ffffff !important;
    font-size: 14px !important;
    opacity: 1 !important;
    padding: 10px 0 !important;
    background-image: none;
    margin-left: 0 !important;
}

.drp__apply_custom_css[disabled]{
    opacity: 1 !important;
    pointer-events: none;
    background-color: #ddd !important;
    font-weight: 400 !important;
    color: #7e7e7e !important;
}

.qsp_search_page_container.overflow-hidden {
    overflow: hidden;
}

.vsp_app .error_message{
    font-size: 16px;
    margin: 30px 0 20px;
    text-align: center;
    display: flex;
    justify-content: center;
}

.vsp_app .error_message .err_msg_no_result .empty_text{
    font-size: 18px;
    color: #7e8595;
    line-height: 1.5;
}

.vsp_app .error_message .err_msg_no_result .empty_sub_text{
    color: #575C67;
    font-size: 20px;
    line-height: 1.5;
}

.vsp_app .error_message .err_msg_no_result {
    background: none;
    /* background: #F5FAFF; */
    align-items: center;
    display: flex;
    gap: 30px;
    justify-content: center;
    border-radius: 4.5px;
    padding: 20px 60px;
}

.vsp_app .error_message .err_msg_no_result .err_msg_text{
    text-align: left;width:400px;
}

.vsp_app .search_event_loader {
    width: 100%;
    text-align: center;
    padding-top: 50px;
}

.vsp_app #trending_searchandevents{
    padding: 0px 50px;
}

.vsp_app .qsp_title {
    font-size: 24px;
    font-weight: bold;
    margin: 60px 0 25px;
    color: #30363E;
}

.vsp_app .qsp_search_container {
    width: unset;
    padding: 0 50px;
    overflow: auto;
}

/* change city css */


.not-found-section{ 
    margin-top: 30px; 
    background: #ffffff; 
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    border-radius: 4.5px;
    padding: 20px 60px;
    gap: 30px;
}

.not-found-section .err_msg_text{
    width: fit-content !important;
    text-align: start;
}

@media screen and (max-width: 768px) {
    .not-found-section{
        flex-direction: column;
    }

    .not-found-section .err_msg_text{
        text-align: center !important;
    }
}


#qsp_change_city_app .changecity {
    display: flex;
    position: relative;
    align-items: center;
    border-left: 1px solid #ddd;
}

.vsp_app .ss_wrapper .ss_heading {
    font-size: 16px;
    color: #30363E;
    margin-top: 20px;
}

.vsp_app .ss_wrapper .ss_events_wrapper {
    margin-top: 12px;
}

.vsp_app .ss_wrapper .ss_events_wrapper .ss_event {
    cursor: pointer;
    padding: 9px 22px 9px 9px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 10px;
    background: #F5FAFF;
    margin: 10px 0;
    width: 100%;
    border-radius: 4px;
    max-width: calc(100% - 31px);
}

.vsp_app .ss_wrapper .ss_events_wrapper .ss_event .ss_event_icon{
    display: flex;
    align-items: center;
}

.vsp_app .ss_wrapper .ss_events_wrapper .ss_event .ss_event_name{
    color: #30363E;
    font-size: 16px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.vsp_app .ss_wrapper .ss_events_wrapper .ss_event:hover{
    background: #deeeff;
}
.vsp_app .ss_wrapper .ss_events_wrapper .ss_event.ss_selected {
    background: #deeeff;
}

.vsp_app .ss_wrapper .ss_filters_wrapper {
    margin-top: 12px;
}

.vsp_app .ss_wrapper .ss_filters_wrapper .ss_filter, .vsp_app .ss_wrapper .ss_keywords_wrapper .ss_keyword {
    cursor: pointer;
    padding: 12px 22px 12px 9px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 10px;
    margin: 0;
    border-radius: 4px;
}

.vsp_app .ss_wrapper .ss_filters_wrapper .ss_filter .filter,
.vsp_app .ss_wrapper .ss_keywords_wrapper .ss_keyword .keyword{
    display: flex;
    align-items: center;
    max-width: 100%;
}

.vsp_app .ss_wrapper .ss_filters_wrapper .ss_filter .filter .ss_filter_icon,
.vsp_app .ss_wrapper .ss_keywords_wrapper .ss_keyword .keyword .ss_keyword_icon{
    color: #929394;
    font-size: 16px;
    margin-right: 10px;
    width: 15px;
    display: flex;
}

.vsp_app .ss_wrapper .ss_filters_wrapper .ss_filter .filter .ss_filter_name,
.vsp_app .ss_wrapper .ss_keywords_wrapper .ss_keyword .keyword .ss_keyword_name{
    color: #30363E;
    font-size: 16px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.vsp_app .ss_wrapper .ss_filters_wrapper .ss_filter .filter .ss_filter_subtext{
    color: #828282;
    font-style: italic;
    font-size: 13px;
    margin-left: 5px;
}

.vsp_app .ss_wrapper .ss_filters_wrapper .ss_filter:hover,
.vsp_app .ss_wrapper .ss_keywords_wrapper .ss_keyword:hover{
    background: #f0f0f0;
}

.vsp_app .ss_wrapper .ss_filters_wrapper .ss_filter.ss_selected,
.vsp_app .ss_wrapper .ss_keywords_wrapper .ss_keyword.ss_selected{
    background: #f0f0f0;
}

.vsp_app .ss_wrapper .ss_recently_searched {
    padding-bottom: 20px;
}

.vsp_app .ss_wrapper .ss_recently_searched .search_history_container .search_history {
    color: #575C67;
    font-size: 16px;
    padding: 8px 0;
    cursor: pointer;
}

.vsp_app .ss_wrapper .ss_recently_searched .search_history_container .search_history:hover {
    background: #f8f8f8;
}

.vsp_app .ss_wrapper .ss_recently_searched .search_history_container .search_history .icon{
    color: #aaa3a3;
    font-size: 18px;
}

.vsp_app .ss_wrapper .ss_recently_searched .search_history_container {
    margin-top:  12px;
}

.vsp_app .ss_wrapper .ss_trending_topics .topics_chips_container {
    display: flex;
    align-items: center;
    margin-top: 12px;
    flex-wrap: wrap;
    gap: 10px;
}

.vsp_app .ss_wrapper .ss_trending_topics {
    margin-bottom: 30px;
}

.vsp_app .ss_wrapper .ss_trending_topics .topics_chips_container .chip {
    border: 1px solid #DBEDFF;
    background: #F5FAFF;
    border-radius: 20px;
    padding: 8px 18px;
    color: #30363E;
    cursor: pointer;
    text-transform: capitalize;
    font-size: 14px;
}

.vsp_app .ss_wrapper .ss_trending_topics .topics_chips_container .chip:hover{
    text-decoration: none;
    background: #d8e7f5;
}

/* Performer Section */
.vsp_app .ss_performers_wrapper {
    display: grid;
    grid-template-columns: repeat(4, minmax(0, 1fr));
    gap: 15px;
    padding: 15px 0;
}
.vsp_app .ss_performers_wrapper .ss_performer_card {
    display: flex;
    gap: 15px;
    align-items: center;
    text-decoration: unset;
}
.vsp_app .ss_performers_wrapper .ss_performer_card img {
    display: flex;
    gap: 15px;
    align-items: center;
    border-radius: 50px;
    height: 52px;
    width: 52px;
    min-height: 52px;
    min-width: 52px;
    object-fit: cover;
    object-position: center;
}

.vsp_app .ss_performers_wrapper .ss_performer_name {
    color: #3A3A3A;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    margin: 0;
    margin-bottom: 5px;
}
.vsp_app .ss_performers_wrapper .ss_performer_subtitle {
    color: #808080;
    font-size: 13px;
    font-weight: 400;
    line-height: normal;
    margin: 0;
}

#qsp_change_city_app .changecity input {
    width: 185px;
    font-size: 16px;
    padding: 0 10px;
    border: 1px solid silver;
    height: 50px;
    margin: 0;
    padding: 0px 33px 0 0;
    text-indent: 38px;
    border: none;
    border-radius: 0 4px 0 0;
    box-sizing: border-box;
}

#qsp_change_city_app .changecity input:focus {
    box-shadow: none;
}

#qsp_change_city_app .results {
    position: absolute;
    width: 185px;
    z-index: 99999;
}

#qsp_change_city_app .results ul {
    margin: 0;
    max-height: 30vh;
    overflow: auto;
    background: #fff;
    box-shadow: 0px 3px 6px #bbb;
}

#qsp_change_city_app .results li {
    padding: 8px 9px;
    border-bottom: 1px solid #f1f2f2;
    display: flex;
    align-items: center;
}

#qsp_change_city_app .results li:hover {
    cursor: pointer;
    background: #f0f0f0;
}

#qsp_change_city_app .results li:hover .city_code {
    cursor: pointer;
    background: #f0f0f0;
}

#qsp_change_city_app .results li span i:hover{
    color: #fff;
}

#qsp_change_city_app .results img {
    width: 30px;
    border-radius: 50%;
}

#qsp_change_city_app .results ul li{
    display: flex;
    justify-content: space-between;
    padding-left: 10px;
}

#qsp_change_city_app .results ul li.city_selected {
    cursor: pointer;
    background: #f0f0f0;
}

#qsp_change_city_app .results ul li span {
    display: flex;
    align-items: center;
    gap: 5px;
    font-size: 12px;
    justify-content: center;
}

#qsp_change_city_app .location_icon{
    display: flex;
    align-items: center;
    position: absolute;
}

#qsp_change_city_app .icon_city_loader{
    display: flex;
    align-items: center;
    position: relative;
    left: -31px;
    font-size: 22px;
}

#qsp_change_city_app .changecity .icon-map-marker{
    left: 20px;
    font-size: 16px;
}

#qsp_change_city_app .changecity .icon-chevron-down {
    right: 15px;
    color: #aaa;
    font-size: 14px;
}

#qsp_change_city_app .city_code {
    color: #aaa;
    font-size: 11px;
}

/* event card shimmer */

.qsp_shimmer-item{
    display: inline-block;
    min-height: 1em;
    position: relative;
    overflow: hidden;
    background-color: #f2f2f2;
}

.qsp_shimmer-item::after {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    -webkit-transform: translateX(-100%);
    transform: translateX(-100%);
    background-image: -webkit-gradient(linear, left top, right top, color-stop(0, rgba(255, 255, 255, 0)), color-stop(20%, rgba(255, 255, 255, 0.2)), color-stop(60%, rgba(255, 255, 255, 0.5)), to(rgba(255, 255, 255, 0)));
    background-image: linear-gradient(90deg, rgba(255, 255, 255, 0) 0, rgba(255, 255, 255, 0.2) 20%, rgba(255, 255, 255, 0.5) 60%, rgba(255, 255, 255, 0));
    -webkit-animation: shimmer 1s infinite;
    animation: shimmer 1s infinite;
    content: '';
}

@keyframes shimmer {
    100% {
    transform: translateX(100%);
    }
}


.qsp_shimmer_effect .event_card_shimmer{
    min-height: 100%;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
}

.qsp_shimmer_effect .e_title{
    width: 20%;
    height: 30px;
    margin: 25px 0px 0px 0px;
}

.qsp_shimmer_effect .thumb{
    width: 160px;
    height: 80px;
    margin-right: 15px;
}

.qsp_shimmer_effect .details{
    width: 100%;
}

.qsp_shimmer_effect .details>div,.buynow_btn,.money{
    height: 17px;
}

.qsp_shimmer_effect .shimmer_container{
    display: flex; 
    flex-basis: calc(50% - 20px);  
    justify-content: center;
    padding: 3px;
    margin: 7px;
}

.qsp_shimmer_effect .name{
    width: 100%;
}

.qsp_shimmer_effect .date_location{
    width: 70%;
}

.qsp_shimmer_effect .money{
    width: 15%;
    margin-right: 2px;
}

.qsp_shimmer_effect .buynow_btn{
    width: 15%;
}

/* end of event card shimmer */

/* end of category keyword shimmer */

.qsp_category_shimmer .category{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
}

.c_title {
    width: 20%;
    min-width: 200px;
    height: 30px;
}

.qsp_category_shimmer .title_box {
    width: 98%;
    margin: 5px 0 2.5px 0;
    padding: 8px 0px;
}

/* end of category keyword shimmer */

.vue-select-category .org-page-select, .vue-select-category .filter-select {
    min-height: 40px;
    width: 175px;
    display: flex;
    background: white;
    border: 1.5px solid #818185;
    border-radius: 30px;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    gap: 7px;
}
.vue-select-category .org-page-select[value=""]{
    background: rgba(255,255,255,.07) !important;
}
.vue-select-category .org-page-select input[type=search]{
    color: #2e363f !important;
}
.vue-select-category .org-page-select[value=""] input[type=search]{
    color: white !important;
}
.vue-select-category .org-page-select[value=""] .vs__open-indicator{
    fill: white !important;
}
.vue-select-category .vs__open-indicator{
    fill: #565353 !important;
}
.vue-select-category .org-page-select .vs__dropdown-toggle, .vue-select-category .filter-select .vs__dropdown-toggle {
    min-height: 40px;
    width: 150px;
    border: none;
    cursor: pointer;
}

.vs--single .vs__selected {
    width: 107px;
}

.vue-select-category .org-page-select .vs__dropdown-toggle .vs__selected-options, .vue-select-category .filter-select .vs__dropdown-toggle .vs__selected-options {
    height: inherit;
    cursor: pointer;
    flex-wrap: nowrap;
}

.vue-select-category .org-page-select .vs__selected-options .vs__selected .name {
    font-size: 15px;
    display: inline-block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 107px;
    color: #3f3b3b;
}

.vue-select-category .org-page-select .vs__dropdown-menu .name {
    font-size: 16px;
    display: inline-block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
    overflow-wrap: break-word;
    line-height: 1.2;
    width: 130px;
}

.vue-select-category .org-page-select .vs__dropdown-menu .vs__dropdown-option{
    display: flex;
    align-items: center;
    padding: 10px 15px;
}

.vue-select-category .org-page-select .vs__dropdown-menu .vs__dropdown-option--highlight {
    background: #f0f0f0;
    color: #000;
}

.vue-select-category .org-page-select .vs__dropdown-menu .vs__no-options{
    padding: 3px 20px;
}

.vue-select-category .org-page-select .vs__dropdown-toggle .vs__selected-options .vs__search, .vue-select-category .filter-select .vs__dropdown-toggle .vs__selected-options .vs__search {
    height: inherit;
    font-size: 15px !important;
}

.vue-select-category .org-page-select .vs__dropdown-toggle .vs__selected-options .vs__search:focus, .vue-select-category .filter-select .vs__dropdown-toggle .vs__selected-options .vs__search:focus {
    border:none !important;
}

.vue-select-category .org-page-select .vs__dropdown-menu {
    top: calc(100% + 5px);
    border-radius: 0 0 4px 4px;
}

.vue-select-category .org-page-select .vs__dropdown-menu::-webkit-scrollbar {
  width: 5px;
}

.vue-select-category .org-page-select .vs__dropdown-menu::-webkit-scrollbar-track {
  background: #f5f5f5; 
}

.vue-select-category .org-page-select .vs__dropdown-menu::-webkit-scrollbar-thumb {
  background: #ddd; 
}

.custom_date_modal {
    position: fixed;
    top: calc(50% - 220px);
    right: 50%;
    transform: translate(50%,-50%);
    z-index: 100000;
    width: 670px;
}

.custom-date-modal-backdrop-transparent {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: transparent;
  opacity: 0;
  width: 100%;
  height: 100%;
  z-index: -1000;
}

.custom-date-modal-backdrop-darken {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: #050505;
    opacity: 0.6;
    width: 100%;
    height: 100%;
    z-index: 99999;
}

.custom-date-modal-transition {
  transition: all 0.4s ease;
}

.vdp-datepicker__calendar{
    width: 100%;
    border-color: #efefef;
    border-style: dashed;
    border: none;
    padding: 30px 10px;
}

.vdp-datepicker__calendar .cell.selected{
    color: white;
    font-weight: 600;
}

.vdp-datepicker__calendar .cell.highlighted {
    background: rgb(202 229 237 / 0.3);
}

.vdp-datepicker__calendar .cell{
    font-size: 0.9rem;
    font-weight: 600;
}

.vdp-datepicker__calendar .cell.day-header{
    font-size: 0.8rem;
}

.custcheckdate{
    height: 30px!important; 
    line-height: 35px!important; 
    margin-left: 20px!important; 
    margin-top: 10px;
}

.result_title_filters_container {
    margin: 20px 0 0;
}

.result_title_filters_container .qsp_title {
    color: #9b9393 !important;margin: 0 10px 0 0 !important;font-size: 16px !important;font-weight: 400 !important;
}

.detected_cat_suggestion_wrapper {
    display: flex;
    margin: 0px 0px 25px;
    align-items: center;
    gap: 10px;
    flex-wrap: wrap;
}

.detected_cat_suggestion_wrapper .qsp_title {
    color: #9b9393 !important;margin: 0 !important;font-size: 16px !important;font-weight: 400 !important;
}

.detected_cat_suggestion_wrapper .anchor{
    cursor: pointer;display: inline-flex;align-items: center;gap:5px;border-radius: 36px;background: #F5FAFF;padding: 8px 15px;font-size: 15px;color: #30363E;border: 1px solid #CBE5FF;
}

.detected_cat_suggestion_wrapper .anchor:hover {
    background: #DBEDFF;
    text-decoration: underline;
}

.result_title_filters_container .result_title_filter{
    background: #F5FAFF;
    margin-right: 10px;
    padding: 7px 15px;
    color: #30363E;
    font-size: 14px;
    border-radius: 30px;
    word-wrap: break-word;
    display: inline-block;
    word-break: break-all;
    border: 1px #D6EAFF solid;
}
.vsp_app .search_page_top .search_filters_container .search_filters_wrapper {
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
}
.vsp_app .search_page_top .search_filters_container .search_filters_wrapper::-webkit-scrollbar {
    display: none;
}

.vertical-line{display: none !important;}

@media (min-width: 1200px){
    .vsp_app #trending_searchandevents ,.vsp_app .qsp_search_container,.vsp_app .backgray,.vsp_app .qsp_shimmer_effect,.vsp_app .search_tabs{
        max-width: 1170px;
        margin: auto;
    }
}

@media (max-width: 1200px){
    .qsp_event_container .event_card {
        width: 100%;
        flex: 0 1 100%;
    }
}

@media (min-width: 768px) and (max-width: 979px){

    .vsp_app .search_page_top{
        flex-direction: column;
        gap: unset;
        padding: 95px 0px 80px 0px !important;
        position: relative;
    }

    .vsp_app .search_page_top .search_filters_container {
        position: absolute;
        bottom: 43px;
        padding: 0 120px;
        gap: 20px;
    }

    .vue-select-category .org-page-select .vs__dropdown-toggle .vs__actions {
        position: absolute;
        right: 2px;
        top: 50%;
        transform: translateY(-55%);
    }

    .qsp_category_contaner ,.qsp_category_shimmer .category{
        display: grid;
        grid-template-columns: 1fr 1fr;
    }
    
    .vsp_app .qsp_search_container,.vsp_app #trending_searchandevents{
        padding:  0px 40px;
    }
}

@media (max-width: 767px){

    .vsp_app .remove_text_icon{
        border-radius: 0px 4px 4px 0px;
    }
    #qsp_change_city_app .changecity{
        border: none;
        border-radius: 4px 0px 0px 4px;
        overflow: hidden;
    }
    .custom_date_modal {
        top: 0 !important;
        right: 0 !important;
        transform: unset !important;
        width: 100%;
    }

    .table-condensed td, .table-condensed th {
        padding: 3px 6px;
    }

    .vsp_app .search_input_text .search_suggestion_popup {
        top: 40px;
    }

    .vsp_app .ss_wrapper .ss_heading {
        font-size: 15px;
    }

    .vsp_app .ss_wrapper .ss_trending_topics .topics_chips_container .chip {
        padding: 7px 15px;
        font-size: 13px;
    }

    .vsp_app .ss_filters_wrapper .ss_filter .filter .ss_filter_name, .vsp_app .ss_keywords_wrapper .ss_keyword .keyword .ss_keyword_name{
        font-size: 14px;
    }

    .vsp_app .ss_events_wrapper .ss_event .ss_event_name {
        font-size: 14px;
    }

    .vsp_app .ss_recently_searched .search_history_container .search_history {
        font-size: 14px;
    }

    .result_title_filters_container .result_title_filter {
        font-size: 13px;
        margin-bottom: 10px;
    }

    .result_title_filters_container .qsp_title {
        font-size: 14px !important;
    }

    .vue-select-category .org-page-select .vs__dropdown-toggle .vs__selected-options .vs__search, .vue-select-category .filter-select .vs__dropdown-toggle .vs__selected-options .vs__search {
        font-size: 13px !important;
    }

    .vue-select-category .org-page-select .vs__dropdown-toggle, .vue-select-category .filter-select .vs__dropdown-toggle {
        width: 100px !important;
        min-height: 35px;
    }

    .vsp_app .search_page_top .search_filters_container .search_filters_wrapper {
        display: flex;
        gap: 15px;
        position: absolute;
        padding: 0 15px;
        top: 40px;
        max-width: 100%;
        overflow-x: auto;
        box-sizing: border-box;
    }

    #qsp_change_city_app .results {
        width: 100%;
    }

    #qsp_change_city_app .changecity input {
        width: 100%;
        height: 40px;
        font-size: 14px;
        text-indent: 45px;
    }

    .vsp_app .searchlocation{
        position: absolute;
        top: 50px;
        width: 100%;
        box-sizing: border-box;
     }

    .vsp_app .search_text {
        height: 40px;
        font-size: 14px;
    }

    .vsp_app .remove_text_icon {
        height: 40px;
    }

    .vsp_app .search_icon {
        padding-left: 10px;
        padding-right: 16px;
        height: 40px;
    }

    .vsp_app .close_btn {
        display: flex;
        margin: 0;
        left: 0px;
    }

    .vsp_app .searchbar_title {
        font-size: 20px;
        margin-bottom: 30px;
        width: calc(100% - 30px);
    }

    .vsp_app .searchbar_four_item {
        width: 100%;
        padding: 0 15px;
        box-sizing: border-box;
    }

    .detected_cat_suggestion_wrapper .qsp_title {
        font-size: 13px !important;
    }

    .detected_cat_suggestion_wrapper .anchor{
        font-size: 12px;
    }

    .vsp_app .error_message .err_msg_no_result .empty_text {
        font-size: 14px;
    }

    .vsp_app .error_message .err_msg_no_result .empty_sub_text {
        font-size: 15px;
    }

    .vsp_app .error_message .err_msg_no_result {
        gap: 15px;
        padding: 20px;
    }

    .vsp_app .error_message .err_msg_no_result .err_msg_text{
        width:auto;
    }

    .vsp_app .qsp_title {
        font-size: 20px;
        line-height: 1.5;
        margin-bottom: 20px;
        margin-top: 30px;
    }

    .vsp_app .search_page_top{
        flex-direction: column;
        gap: unset;
        padding: 50px 0px 160px 0px;
        position: relative;
    }

    .vsp_app .search_page_top .search_filters_container {
        position: absolute;
        bottom: 113px;
        padding: 0 110px;
        gap: 20px;
    }

    .vue-select-category .org-page-select, .vue-select-category .filter-select {
        border: 1px solid #818185;
        width: 108px;
        min-height: 35px;
    }

    .vue-select-category .org-page-select .vs__dropdown-menu {
        top: 40px;
        border-top: 1px solid #ddd;
    }

    .vue-select-category .org-page-select .vs__dropdown-menu .name { 
        font-size: 13px;
    }

    .vue-select-category .org-page-select .vs__selected-options .vs__selected .name {
        width: 72px !important;
        font-size: 13px;
    } 

    .vue-select-category .org-page-select .vs__dropdown-toggle .vs__actions {
        position: absolute;
        right: 2px;
        top: 50%;
        transform: translateY(-55%);
    }

    .qsp_category_contaner,.qsp_category_shimmer .category {
        display: grid;
        grid-template-columns: 1fr;
    }

    .vsp_app .qsp_search_container,.vsp_app #trending_searchandevents{
        padding: 15px;
    }

    .qsp_category_contaner .title_long {
        grid-template-columns: 5% 90% 5%
    }

    .qsp_event_container .event_thumbnail {
        height: 80px;
        width: 160px;
    }

    .qsp_event_container .event_name {
        font-size: 14px;
    }

    .qsp_event_container .date_and_city {
        margin: 8px 0;
    }

    .qsp_event_container .event_date_time {
        font-size: 12px;
        line-height: 1;
        max-width: 45px;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .qsp_event_container .event_location {
        font-size: 12px;
        line-height: 1;
        max-width: 125px;
    }

    .qsp_event_container .event_ticket_wrapper {
        gap: 0;
    }

    .qsp_event_container .event_recurring {
        max-width: 80px;
        font-size: 10px;
        line-height: 1;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .qsp_event_container .event_ticket {
        font-size: 12px;
        line-height: 1;
    }

    .qsp_event_container .search_featured_event {
        margin-left: 110px;
    }

    .qsp_category_contaner .title_long {
        font-size: 14px;
    }
    
    .vsp_app .ss_performers_wrapper {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}

@media (min-width: 560px) and (max-width: 670px){
    .vsp_app .ss_performers_wrapper {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }

    #qsp_event_container{
        padding:  0% 2%;
    }

    .vsp_app .search_page_top{
        flex-direction: column;
        gap: unset;
        padding: 50px 0px 140px 0px;
        position: relative;
    }

    .vsp_app .search_page_top.no_filters {
        padding: 50px 0px 110px 0px;
    }

    .vsp_app .search_page_top .search_filters_container {
        position: absolute;
        flex-direction: column;
        align-items: unset;
        bottom: 100px;
        padding: 0;
        width: 100%;
        gap: 8px;
    }

    .vsp_app .search_page_top .search_filters_container .filter_text {
        width: 100%;
        text-align: center;
        color: rgb(0, 0, 0);
        font-weight: 800;
        box-sizing: border-box;
    }

    .vue-select-category .org-page-select .vs__dropdown-toggle .vs__actions {
        position: absolute;
        right: 2px;
        top: 50%;
        transform: translateY(-55%);
    }

    .qsp_shimmer_effect .event_card_shimmer {
        min-height: 100%;
        display: unset;
        flex-wrap: unset;
        flex-direction: unset;
    }
    
    .qsp_category_shimmer .c_title ,.qsp_shimmer_effect .e_title{
        width: 35%;
    }
    
}

@media (max-width: 559px){
    .vsp_app .ss_performers_wrapper {
        grid-template-columns: repeat(1, minmax(0, 1fr));
        gap: 14px;
    }
    .vsp_app .ss_performers_wrapper .ss_performer_card img {
        height: 46px;
        width: 46px;
        min-height: 46px;
        min-width: 46px;
    }
    .vsp_app .ss_performers_wrapper .ss_performer_name {
        font-size: 15px;
    }
    .vsp_app .search_page_top .search_filters_container .filter_text {
        width: 100%;
        text-align: center;
        color: rgb(0, 0, 0);
        font-weight: 800;
        box-sizing: border-box;
    }

    .qsp_event_container .event_card {
        margin: 5px 0px;
        width: 100%;
        flex: 0 1 100%;
    }

    .qsp_event_container .event_card a{
        margin: 5px 0px 5px 0px;
    }
    
    .qsp_category_contaner .title_long {
        grid-template-columns: 7% 88% 5%;
    }

    .qsp_event_container .search_featured_event {
        margin-left: 110px;
    }

    .vsp_app .search_page_top{
        flex-direction: column;
        gap: unset;
        padding: 50px 0px 140px 0px;
        position: relative;
    }

    .vsp_app .search_page_top.no_filters {
        padding: 50px 0px 110px 0px;
    }

    .vsp_app .search_page_top .search_filters_container {
        position: absolute;
        flex-direction: column;
        align-items: unset;
        bottom: 100px;
        padding: 0;
        width: 100%;
        gap: 8px;
    }

    .vue-select-category .org-page-select .vs__dropdown-toggle .vs__actions {
        position: absolute;
        right: 2px;
        top: 50%;
        transform: translateY(-55%);
    }

    .qsp_shimmer_effect .event_card_shimmer {
        min-height: 100%;
        display: unset;
        flex-wrap: unset;
        flex-direction: unset;
    }

    .qsp_category_shimmer .c_title ,.qsp_shimmer_effect .e_title{
        width: 35%;
    }

}

@media (max-width: 425px){

    .vsp_app .search_page_top.no_filters {
        padding: 50px 0px 110px 0px;
    }

    .vsp_app .search_page_top .search_filters_container .filter_text {
        width: 100%;
        text-align: center;
        color: rgb(0, 0, 0);
        font-weight: 800;
        box-sizing: border-box;
    }

    .vue-select-category .org-page-select .vs__dropdown-toggle .vs__actions {
        position: absolute;
        right: 2px;
        top: 50%;
        transform: translateY(-55%);
    }

}

@media (max-width: 380px){

    .qsp_event_container .search_featured_event {
        margin-left: 92px;
    }
    
}

@media (max-width: 370px){
    .vsp_app .searchbar_title {
        font-size: 18px;
    }
}

/* Listing page changes */
body.listing-open .topbar.fixed {
    z-index: 2147483647;
}
body.listing-open .topbar.fixed .city-select-button-container {
    display: none;
}
.vsp_app.show_listing .searchbar_four_item, .vsp_app.show_listing .searchbar_title {
    display: none;
}
.vsp_app.show_listing .top_section_graphics {
    display: none !important;
}
.vsp_app.show_listing .search_page_top {
    padding: 95px 0px 40px;
    /* padding-top: 95px; */
}
.vsp_app.show_listing .search_filters_container {
    max-width: 100%;
    width: 1170px;
}
.vsp_app.show_listing .search_filters_container .search_filters_wrapper {
    align-items: center;
}
.vsp_app.show_listing .search_filters_container .close_btn {
    margin: 0;
    margin-right: 50px;
    display: flex !important;
    position: unset;
    cursor: pointer;
}
@media only screen and (max-width: 768px) {
    .vsp_app.show_listing .search_page_top .search_filters_container {
        bottom: 40px;
    }
    .vsp_app.show_listing .search_filters_container .close_btn {
        margin-right: 15px;
    }
    .vsp_app.show_listing .search_page_top .search_filters_container .search_filters_wrapper {
        top: -25px;
    }
    .vsp_app.show_listing .search_page_top {
        padding-bottom: 50px;
    }
    .vsp_app.show_listing .qsp_search_container, .vsp_app.show_listing #trending_searchandevents {
        padding-top: 0;
    }
}

/* Loading Screen */
.qsp_search_page_loading .search_page_top{
    margin-bottom: 2%;
}
.qsp_search_page_loading .search_page_top .shimmer-item {
    background-color: rgba(255, 255, 255, 0.5);
}
.qsp_search_page_loading .search_page_top .shimmer-item.search-shimmer {
    display:block;width:909px;max-width:100%;height:50px
}
.qsp_search_page_loading .search_page_top .filter-shimmer-parent {
    display:flex;width:909px;max-width:100%;gap:10px
}
.qsp_search_page_loading .search_page_top .shimmer-item.filter-shimmer-item {
    height:40px;width:150px;border-radius:40px 
}
.qsp_search_page_loading .qsp_event_container .shimmer-item {
    background-color: #ebebeb;
}

@media only screen and (max-width: 979px) {
    .qsp_search_page_loading .search_page_top {
        padding-right: 15px !important;
        padding-left: 15px !important;
        padding-bottom: 50px !important;
    }
    .qsp_search_page_loading .search_page_top .shimmer-item.search-shimmer {
        height:40px;
        margin-bottom: 15px;
    }
}

@media only screen and (max-width: 768px) {
    .qsp_search_page_loading .search_page_top .shimmer-item.search-shimmer {
        height:40px;
        margin-bottom: 15px;
    }
    .qsp_search_page_loading .search_page_top .shimmer-item.filter-shimmer-item {
        height:37px; min-width: 100px;
    }

}
.search_tabs {
    display: flex;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    padding-top: 5px;
}
.search_tab {
    color: rgba(0, 0, 0, 0.80);
    font-size: 18px;
    font-weight: 500;
    line-height: normal;
    padding: 15px 30px;
    text-align: center;
    cursor: pointer;
    user-select: none;
}
.search_tab.search_tab_selected {
    color: #2D9CDB;
    font-weight: 600;
    position: relative;
}
.search_tab.search_tab_selected:after {
    content: "";
    position: absolute;
    width: 100%;
    height: 2px;
    bottom: -2px;
    left: 0;
    background-color: #2D9CDB;
}
.performer-card {
    width: 170px;
    max-width: 170px;
    text-align: center;
    transition: 0.2s transform ease;
    padding-top: 5px;
}
.performer-card,
.performer-card:hover,
.performer-card:focus {
    text-decoration: unset;
}
.performer-card:hover,
.performer-card:focus {
    transform: scale(1.02)
}
.performer-card .performer-image {
    position: relative;
    width: 150px;
    height: 150px;
    overflow: hidden;
    border-radius: 100%;
    margin: auto;
    margin-bottom: 13.5px;
    text-align: center;
}
.performer-card .performer-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}
.performer-card .performer-image span {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
}
.performer-card h3 {
    color: #4D4D4D;
    font-size: 18px;
    font-weight: 500;
    line-height: normal;
    text-transform: unset;
    margin: 0;
    margin-bottom: 7px;
}
.performer-card p {
    color: #858585;
    font-size: 14px;
    font-weight: 400;
    line-height: normal;
    margin: 0;
    margin-bottom: 18px;
}
.performer-card-shimmer h3 {
    width: 120px;
}
.performer-card-shimmer p {
    width: 80px;
}
.performer-results {
    display:grid;
    grid-template-columns: repeat(6, minmax(0, 1fr))
}
@media only screen and (max-width: 576px) {
    .performer-card {
        width: unset;
        max-width: 150px;
    }
    .performer-card .performer-image {
        width: 105px;
        height: 105px;
    }
    .performer-card h3 {
        font-size: 16px;
        margin-bottom: 5px;
    }
    .performer-card p {
        font-size: 14px;
        margin-bottom: 12px;
    }
    .performer-results {
        grid-template-columns: repeat(3, minmax(0, 1fr))
    }
}